%define name blender
%define version 2.26
%define release 1mdk

Summary: A fully functional 3D modeling/rendering/animation package
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Group: 		Graphics
Source0:	http://download.blender.org/source/blender-%{version}.tar.bz2
Source1:	icons-%{name}.tar.bz2
Patch0:		blender-%{version}-libuniq.patch.bz2
URL: 		http://www.blender.org
License:	GPL
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	libopenal-devel
BuildRequires:	libMesaGLU-devel
BuildRequires:	libesound-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libopenssl-devel
BuildRequires:	libpng-devel
BuildRequires:	libSDL-devel
BuildRequires:	libsmpeg-devel
BuildRequires:	libvorbis-devel
BuildRequires:	zlib1-devel
BuildRequires:	XFree86-devel

%description
Blender is the in-house software of a high quality animation studio.
It has proven to be an extremely fast and versatile design instrument.
The software has a personal touch, offering a unique approach to the
world of three dimensions. Blender can be used to create TV
commercials, to make technical visualizations or business graphics, to
do some morphing, or to design user interfaces. Developers can easily
build and manage complex environments. The renderer is versatile and
extremely fast. All basic animation principles (curves and keys) are
implemented.

%prep
%setup
%patch0 -p1

%build
%configure \
		--enable-openal \
		--without-gameblender \
		--disable-shared \
		--disable-vorbistest \
		--disable-rpath
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall transform=''
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a $RPM_BUILD_ROOT%{_libdir}/*.la

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): command="%{_bindir}/%{name}" \
	needs="X11" \
	icon="%{name}.png" \
	section="Multimedia/Graphics" \
	title="Blender" \
	longtitle="%summary"
EOF

mkdir -p $RPM_BUILD_ROOT%{_iconsdir}
tar xjf %{SOURCE1} -C $RPM_BUILD_ROOT%{_iconsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc COPYING INSTALL README
%{_bindir}/*
%{_iconsdir}/*.png
%{_liconsdir}/*.png
%{_miconsdir}/*.png
%{_menudir}/%{name}

%changelog
* Wed Feb 12 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.26-1mdk
- Updated to release 2.26.
- Disabled gameblender building (problems with libopenal).
- Added Patch0 to aboid library conflicts during building.

* Mon Nov 25 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.25b-3mdk
- Use .png extensions in %files list.

* Sun Nov 24 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.25b-2mdk
- Merged with prepared SPEC file.
- Build static version.
- Changed icons.
- Added some BuildRequires.
- Revert to static.
- Added Url for Source0, so to understand which source is used.

* Sat Nov 23 2002 Per yvind Karlsen <peroyvind@sintrax.net> 2.25-b.1mdk
- Initial relase
